Summary: Check shell scripts for common bash-specific constructs
Name: checkbashisms
Version: 2.19.6
Release: %mkrel 4
License: GPLv2+
Group: Development/Other
Url: https://packages.debian.org/sid/devscripts
Source0: https://deb.debian.org/debian/pool/main/d/devscripts/devscripts_%{version}.tar.xz
BuildArch: noarch

%description
checkbashisms checks whether a /bin/sh script contains any common
bash-specific constructs.
It is extracted from the Debian devscripts package.

%prep
%setup -q -n devscripts-%{version}

%build

%install
install -d %{buildroot}%{_bindir}
install -m755 scripts/%{name}.pl %{buildroot}%{_bindir}/%{name}
install -d %{buildroot}%{_mandir}/man1
install -m644 scripts/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -d %{buildroot}%{_sysconfdir}/bash_completion.d
install -m644 scripts/%{name}.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_sysconfdir}/bash_completion.d/%{name}



%changelog
* Mon Mar 21 2022 umeabot <umeabot> 2.19.6-4.mga9
+ Revision: 1813329
- Mageia 9 Mass Rebuild

* Fri Oct 02 2020 ngompa <ngompa> 2.19.6-3.mga8
+ Revision: 1631785
- Fix filename installed for checkbashisms
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 2.19.6-2.mga8
+ Revision: 1535214
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 daviddavid <daviddavid> 2.19.6-1.mga8
+ Revision: 1451565
- new version: 2.19.6

* Fri Jan 04 2019 daviddavid <daviddavid> 2.18.11-1.mga7
+ Revision: 1349058
- new version: 2.18.11

* Mon Dec 10 2018 daviddavid <daviddavid> 2.18.9-1.mga7
+ Revision: 1340023
- new version: 2.18.9

* Thu Sep 20 2018 umeabot <umeabot> 2.18.1-2.mga7
+ Revision: 1277799
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 kekepower <kekepower> 2.18.1-1.mga7
+ Revision: 1211714
- Update to version 2.18.1
- Added bash completion
- Fixed Source0 URL

* Mon Feb 08 2016 umeabot <umeabot> 2.10.39-9.mga6
+ Revision: 946063
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.10.39-8.mga5
+ Revision: 745159
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.10.39-7.mga5
+ Revision: 678362
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.10.39-6.mga4
+ Revision: 503316
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.10.39-5.mga3
+ Revision: 347647
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 15 2011 pterjan <pterjan> 2.10.39-4.mga1
+ Revision: 98917
- Rebuild for fixed find-requires

* Mon Feb 21 2011 blino <blino> 2.10.39-3.mga1
+ Revision: 55860
- imported package checkbashisms


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 2.10.39-3mdv2011.0
+ Revision: 616996
- the mass rebuild of 2010.0 packages

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 2.10.39-2mdv2010.0
+ Revision: 436991
- rebuild

* Mon Oct 13 2008 Olivier Blin <oblin@mandriva.com> 2.10.39-1mdv2009.1
+ Revision: 293329
- initial package (extracted from Debian devscripts package)
- create checkbashisms

